%define name padevchooser
%define version 0.9.3
%define release %mkrel 1

Summary: PulseAudio Device Chooser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Sound
Url: http://0pointer.de/lennart/projects/padevchooser/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel
BuildRequires: libpulseaudio-devel >= 0.9.5
BuildRequires: libnotify-devel
BuildRequires: lynx
BuildRequires: desktop-file-utils
Requires: pulseaudio
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
PulseAudio Device Chooser is a simple GTK tool which registers an icon
in the tray area and allows quick access to some features of the
PulseAudio sound server. Specifically it can do for you:

* Notify about new sink/sources becoming available on the LAN
* Quickly change the default PulseAudio sink/source/server assigned to
  the current X11 display, selecting devices available on the LAN
* Start the auxiliary tools PulseAudio Volume Control, PulseAudio
  Volume Meter, PulseAudio Manager, PulseAudio Preferences

%prep
%setup -q

%build
#export CPPFLAGS=-I%_includedir/alsa
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null

%postun
if [ -x %{_bindir}/update-desktop-database ]; then %{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null ; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name/%name.glade

%changelog
* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2007.0
- initial package
